﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="RadGridPrintAllItems.aspx.cs" Inherits="RadGridPrintAllItems" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
        <telerik:RadScriptManager ID="RadScriptManager1" runat="server">
            <Scripts>
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.Core.js" />
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQuery.js" />
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQueryInclude.js" />
            </Scripts>
        </telerik:RadScriptManager>
        <telerik:RadCodeBlock ID="RadCodeBlock1" runat="server">
            <script type="text/javascript">
                //Put your JavaScript code here.
                function getOuterHTML(obj) {
                    if (typeof (obj.outerHTML) == "undefined") {
                        var divWrapper = document.createElement("div");
                        var copyOb = obj.cloneNode(true);
                        divWrapper.appendChild(copyOb);
                        return divWrapper.innerHTML
                    }
                    else
                        return obj.outerHTML;
                }
                function pageLoad() {
                    var masterTable = $find('<%= SearchGrid.ClientID %>').get_masterTableView();
                    var value = $get('<%= HiddenField1.ClientID %>').value;

                    if (value == "getHtmlContent") {
                        masterTable.hideFilterItem();
                        var styleStr = "<html><head><link href='Styles.css' rel='stylesheet' type='text/css'></link></head>";
                        var htmlContent = styleStr + "<body>" + getOuterHTML(masterTable.get_element()) + "</body></html>";

                        $get('<%= HiddenField2.ClientID %>').value = $('<div/>').text(htmlContent).html();
                        masterTable.fireCommand("RestoreGrid", "");
                    }
                    else if (value == "performPrint") {
                        $get('<%= HiddenField1.ClientID %>').value = "";
                            masterTable.showFilterItem();
                            var previewWnd = radopen('about:blank', '', '', false);
                            var htmlContent = $('<div/>').html($get("HiddenField2").value).text();
                            var doc = previewWnd.get_contentFrame().contentDocument;
                            if ($telerik.isIE7 || $telerik.isIE8) {
                                var iFrameWindow = document.frames[previewWnd.get_contentFrame().uniqueID];
                                iFrameWindow.document.open();
                                iFrameWindow.document.write(htmlContent);
                                iFrameWindow.document.close();
                                iFrameWindow.focus();
                                iFrameWindow.print();
                                iFrameWindow.document.close();
                                iFrameWindow.close();
                            }
                            else {
                                doc.open();
                                doc.write(htmlContent);
                                doc.defaultView.print();
                                doc.close();
                            }
                            previewWnd.close();
                        }
                }
        </script>
        </telerik:RadCodeBlock>
        <telerik:RadAjaxLoadingPanel ID="RadAjaxLoadingPanel1" runat="server" Skin="Default"></telerik:RadAjaxLoadingPanel>
        <telerik:RadAjaxPanel ID="RadAjaxPanel1" runat="server" LoadingPanelID="RadAjaxLoadingPanel1">
            <telerik:RadButton ID="rbP" Text="Print" Skin="Office2007"
                runat="server" AutoPostBack="true" OnClick="rbP_Click">
                <Icon PrimaryIconCssClass="rbPrint" PrimaryIconLeft="10" PrimaryIconTop="4" />
            </telerik:RadButton>
            <br />
            <br />
            <telerik:RadGrid ID="SearchGrid" runat="server" AllowPaging="True" CellSpacing="0"
                DataSourceID="SqlDataSource1" GridLines="None" Width="800px" AllowFilteringByColumn="true" OnItemCommand="SearchGrid_ItemCommand">
                <MasterTableView DataSourceID="SqlDataSource1" AutoGenerateColumns="False"
                    DataKeyNames="OrderID">
                    <CommandItemSettings ExportToPdfText="Export to PDF"></CommandItemSettings>
                    <RowIndicatorColumn Visible="True" FilterControlAltText="Filter RowIndicator column">
                        <HeaderStyle Width="20px"></HeaderStyle>
                    </RowIndicatorColumn>
                    <ExpandCollapseColumn Visible="True" FilterControlAltText="Filter ExpandColumn column">
                        <HeaderStyle Width="20px"></HeaderStyle>
                    </ExpandCollapseColumn>
                    <Columns>
                        <telerik:GridBoundColumn DataField="OrderID" DataType="System.Int32"
                            FilterControlAltText="Filter OrderID column" HeaderText="OrderID"
                            ReadOnly="True" SortExpression="OrderID" UniqueName="OrderID">
                        </telerik:GridBoundColumn>
                        <telerik:GridDateTimeColumn DataField="OrderDate" DataType="System.DateTime"
                            FilterControlAltText="Filter OrderDate column" HeaderText="OrderDate"
                            SortExpression="OrderDate" UniqueName="OrderDate">
                        </telerik:GridDateTimeColumn>
                        <telerik:GridNumericColumn DataField="Freight" DataType="System.Decimal"
                            FilterControlAltText="Filter Freight column" HeaderText="Freight"
                            SortExpression="Freight" UniqueName="Freight">
                        </telerik:GridNumericColumn>
                        <telerik:GridBoundColumn DataField="ShipName"
                            FilterControlAltText="Filter ShipName column" HeaderText="ShipName"
                            SortExpression="ShipName" UniqueName="ShipName">
                        </telerik:GridBoundColumn>
                        <telerik:GridBoundColumn DataField="ShipCountry"
                            FilterControlAltText="Filter ShipCountry column" HeaderText="ShipCountry"
                            SortExpression="ShipCountry" UniqueName="ShipCountry">
                        </telerik:GridBoundColumn>
                    </Columns>
                    <EditFormSettings>
                        <EditColumn FilterControlAltText="Filter EditCommandColumn column">
                        </EditColumn>
                    </EditFormSettings>
                </MasterTableView>
                <FilterMenu EnableImageSprites="False">
                </FilterMenu>
            </telerik:RadGrid>
            <asp:SqlDataSource ID="SqlDataSource1" runat="server"
                ConnectionString="<%$ ConnectionStrings:ConnectionString %>"
                SelectCommand="SELECT [OrderID], [OrderDate], [Freight], [ShipName], [ShipCountry] FROM [Orders]"></asp:SqlDataSource>
            <asp:HiddenField ID="HiddenField1" runat="server" />
            <asp:HiddenField ID="HiddenField2" runat="server" />
        </telerik:RadAjaxPanel>
        <telerik:RadWindowManager ID="RadWindowManager1" runat="server" Width="1500px" Height="500px"></telerik:RadWindowManager>
    </form>
</body>
</html>
